from django.shortcuts import render, redirect
from django.views.generic import *
from .models import *
from .forms import *
from django.urls import reverse_lazy


def home(request):
    if request.method == 'POST':
        form = Name_Form(request.POST)
        if form.is_valid():
            return render(request, 'homepage.html', {'name': form.cleaned_data['name_input']})
    else:
        form = Name_Form()
    return render(request, 'homepage.html', {'form': form})
	

class HomeKeyView(ListView):
	model = Key
	template_name = 'key.html'
	
	
class AddKeyView(CreateView):
	model = Key
	form_class = KeyForm
	template_name = 'add_keypost.html'

	
class UpdateKeyView(UpdateView):
	model = Key
	form_class = KeyForm
	template_name = 'update_keypost.html'

	
class DeleteKeyView(DeleteView):
	model = Key
	template_name = 'delete_keypost.html'
	success_url = reverse_lazy('key')
	

class HomeWeekView(ListView):
	model = Week
	template_name = 'week.html'
	
	
class AddWeekView(CreateView):
	model = Week
	form_class = WeekForm
	template_name = 'add_weekpost.html'

	
class UpdateWeekView(UpdateView):
	model = Week
	form_class = WeekForm
	template_name = 'update_weekpost.html'

	
class DeleteWeekView(DeleteView):
	model = Week
	template_name = 'delete_weekpost.html'
	success_url = reverse_lazy('week')
	

class HomeProfileView(ListView):
	model = Profile
	template_name = 'profile.html'


class AddProfileView(CreateView):
	model = Profile
	form_class = ProfileForm
	template_name = 'add_profilepost.html'
	
	
class UpdateProfileView(UpdateView):
	model = Profile
	form_class = ProfileForm
	template_name = 'update_profilepost.html'
	
	
class DeleteProfileView(DeleteView):
	model = Profile
	template_name = 'delete_profilepost.html'
	success_url = reverse_lazy('profile')


class HomeTodayView(ListView):
	model = Today
	template_name = 'today.html'
	
	
class AddTodayView(CreateView):
	model = Today
	form_class = TodayForm
	template_name = 'add_todaypost.html'
	
	
class UpdateTodayView(UpdateView):
	model = Today
	form_class = TodayForm
	template_name = 'update_todaypost.html'
	
	
class DeleteTodayView(DeleteView):
	model = Today
	template_name = 'delete_todaypost.html'
	success_url = reverse_lazy('today')
